package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkLog;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * @author ting.yin
 * @date 2016年10月21日
 */
public interface MarkLogRepo extends JpaRepository<MarkLog, Long> {

    /**
     * 根据条件查询最近一条日志
     *
     * @param createUserId
     * @param operType
     * @param subject
     * @param examNumber
     * @return
     */
    public MarkLog findTopByCreateUserIdAndOperTypeAndSubjectAndExamNumberOrderByCreateTimeDesc(Long createUserId, Integer operType, String subject, String examNumber);
}
